﻿using System;
using System.Windows.Forms;

namespace LrcTool
{
    public static class Program
    {
        [STAThread]
        public static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            var frmMain = new Form { Text = Application.ProductName, Width = 1024, Height = 768 };

            var tabs = new TabControl
            {
                Dock = DockStyle.Fill,
                TabPages =
                {
                    new TabPage("LRC Kanji Hiragana inject")
                    {
                        Controls = {LrcKanjiHiraganaInjectPage.Create(frmMain)}
                    },
                    new TabPage("LRC Fetcher")
                    {
                        Controls = {new LrcFetcherPage{Dock = DockStyle.Fill}}
                    },
                    new TabPage("LRC PreProcessing")
                    {
                        Controls = { new LrcPreProcessPage { Dock = DockStyle.Fill } }
                    }
                }
            };

            frmMain.Controls.Add(tabs);

            Application.Run(frmMain);
        }
    }
}
